Package com.ocient.jdbc.proto

## Class ClientWireProtocol.LoadBroadcast.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LoadBroadcast.Builder>
      - - com.ocient.jdbc.proto.ClientWireProtocol.LoadBroadcast.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.LoadBroadcastOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.LoadBroadcast

    public static final class ClientWireProtocol.LoadBroadcast.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LoadBroadcast.Builder>
    implements ClientWireProtocol.LoadBroadcastOrBuilder

Protobuf type `xg.cmdcomp.LoadBroadcast`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ClientWireProtocol.LoadBroadcast.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ClientWireProtocol.LoadBroadcast` `build()`
`ClientWireProtocol.LoadBroadcast` `buildPartial()`
`ClientWireProtocol.LoadBroadcast.Builder` `clear()`
`ClientWireProtocol.LoadBroadcast.Builder` `clearCmdcompId()` `string cmdcompId = 1;`
`ClientWireProtocol.LoadBroadcast.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`ClientWireProtocol.LoadBroadcast.Builder` `clearLoad()` `double load = 2;`
`ClientWireProtocol.LoadBroadcast.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`ClientWireProtocol.LoadBroadcast.Builder` `clone()`
`String` `getCmdcompId()` `string cmdcompId = 1;`
`com.google.protobuf.ByteString` `getCmdcompIdBytes()` `string cmdcompId = 1;`
`ClientWireProtocol.LoadBroadcast` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`double` `getLoad()` `double load = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`ClientWireProtocol.LoadBroadcast.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ClientWireProtocol.LoadBroadcast.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`ClientWireProtocol.LoadBroadcast.Builder` `mergeFrom​(ClientWireProtocol.LoadBroadcast other)`
`ClientWireProtocol.LoadBroadcast.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.LoadBroadcast.Builder` `setCmdcompId​(String value)` `string cmdcompId = 1;`
`ClientWireProtocol.LoadBroadcast.Builder` `setCmdcompIdBytes​(com.google.protobuf.ByteString value)` `string cmdcompId = 1;`
`ClientWireProtocol.LoadBroadcast.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ClientWireProtocol.LoadBroadcast.Builder` `setLoad​(double value)` `double load = 2;`
`ClientWireProtocol.LoadBroadcast.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`ClientWireProtocol.LoadBroadcast.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LoadBroadcast.Builder>`

#### clear

    public ClientWireProtocol.LoadBroadcast.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LoadBroadcast.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LoadBroadcast.Builder>`

#### getDefaultInstanceForType

    public ClientWireProtocol.LoadBroadcast getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public ClientWireProtocol.LoadBroadcast build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public ClientWireProtocol.LoadBroadcast buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public ClientWireProtocol.LoadBroadcast.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LoadBroadcast.Builder>`

#### setField

    public ClientWireProtocol.LoadBroadcast.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                             Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LoadBroadcast.Builder>`

#### clearField

    public ClientWireProtocol.LoadBroadcast.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LoadBroadcast.Builder>`

#### clearOneof

    public ClientWireProtocol.LoadBroadcast.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LoadBroadcast.Builder>`

#### setRepeatedField

    public ClientWireProtocol.LoadBroadcast.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                     int index,
                                                                     Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LoadBroadcast.Builder>`

#### addRepeatedField

    public ClientWireProtocol.LoadBroadcast.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                     Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LoadBroadcast.Builder>`

#### mergeFrom

    public ClientWireProtocol.LoadBroadcast.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.LoadBroadcast.Builder>`

#### mergeFrom

    public ClientWireProtocol.LoadBroadcast.Builder mergeFrom​(ClientWireProtocol.LoadBroadcast other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LoadBroadcast.Builder>`

#### mergeFrom

    public ClientWireProtocol.LoadBroadcast.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.LoadBroadcast.Builder>`
Throws:
  `IOException`

#### getCmdcompId

    public String getCmdcompId()

`string cmdcompId = 1;`

Specified by:
  `getCmdcompId` in interface `ClientWireProtocol.LoadBroadcastOrBuilder`
Returns:
  The cmdcompId.

#### getCmdcompIdBytes

    public com.google.protobuf.ByteString getCmdcompIdBytes()

`string cmdcompId = 1;`

Specified by:
  `getCmdcompIdBytes` in interface `ClientWireProtocol.LoadBroadcastOrBuilder`
Returns:
  The bytes for cmdcompId.

#### setCmdcompId

    public ClientWireProtocol.LoadBroadcast.Builder setCmdcompId​(String value)

`string cmdcompId = 1;`

Parameters:
  `value` - The cmdcompId to set.
Returns:
  This builder for chaining.

#### clearCmdcompId

    public ClientWireProtocol.LoadBroadcast.Builder clearCmdcompId()

`string cmdcompId = 1;`

Returns:
  This builder for chaining.

#### setCmdcompIdBytes

    public ClientWireProtocol.LoadBroadcast.Builder setCmdcompIdBytes​(com.google.protobuf.ByteString value)

`string cmdcompId = 1;`

Parameters:
  `value` - The bytes for cmdcompId to set.
Returns:
  This builder for chaining.

#### getLoad

    public double getLoad()

`double load = 2;`

Specified by:
  `getLoad` in interface `ClientWireProtocol.LoadBroadcastOrBuilder`
Returns:
  The load.

#### setLoad

    public ClientWireProtocol.LoadBroadcast.Builder setLoad​(double value)

`double load = 2;`

Parameters:
  `value` - The load to set.
Returns:
  This builder for chaining.

#### clearLoad

    public ClientWireProtocol.LoadBroadcast.Builder clearLoad()

`double load = 2;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final ClientWireProtocol.LoadBroadcast.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LoadBroadcast.Builder>`

#### mergeUnknownFields

    public final ClientWireProtocol.LoadBroadcast.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LoadBroadcast.Builder>`